Bug 598950 - [abrt] crash in evolution-2.30.1-6.fc13: raise: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
[abrt] crash in evolution-2.30.1-6.fc13: raise: Process /usr/bin/evolution wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:6f27b1bde132b66c0cb0916f3aa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 08:08 EDT by Aleksy Schubert
Modified: 2011-06-27 13:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:20:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (94.37 KB, text/plain)
2010-06-02 08:08 EDT, Aleksy Schubert
no flags Details

  None (edit)
Description Aleksy Schubert 2010-06-02 08:08:30 EDT
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: evolution -c mail --sync
component: evolution
crash_function: raise
executable: /usr/bin/evolution
global_uuid: 6f27b1bde132b66c0cb0916f3aa4d685a8a00814
kernel: 2.6.33.5-112.fc13.i686.PAE
package: evolution-2.30.1-6.fc13
rating: 4
reason: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

comment
-----
Evloution dies with the message:

Gdk-ERROR **: The program 'evolution' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadGC (invalid GC parameter)'.
  (Details: serial 1919308 error_code 13 request_code 60 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...

when run with --sync it prints out

[alx@aronia ~]$ (evolution:11072): e-data-server-DEBUG: Loading categories from "/home/alx/.evolution/categories.xml"
(evolution:11072): e-data-server-DEBUG: Loaded 47 categories

** (evolution:11072): CRITICAL **: categories_icon_theme_hack: assertion `filename != NULL && *filename != '\0'' failed
evolution: xcb_io.c:452: _XReply: Assertion `!dpy->xcb->reply_data' failed.

[1]+  Aborted                 (core dumped) evolution --sync -c mail

How to reproduce
-----
1. Run evolution
2. Change view to Calendar
3.
Comment 1 Aleksy Schubert 2010-06-02 08:08:32 EDT
Created attachment 419006 [details]
File: backtrace
Comment 2 Bug Zapper 2011-06-02 08:22:05 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 13:20:13 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.